Kyoto Tycoon

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

kyototycoon::UpdateLogger Member List
This is the complete list of members for kyototycoon::UpdateLogger, including all inherited members.

clock() | kyototycoon::UpdateLogger |
clock_pure() | kyototycoon::UpdateLogger | `[static]`
close() | kyototycoon::UpdateLogger |
list_files(std::vector< FileStatus > *fstvec) | kyototycoon::UpdateLogger |
open(const std::string &path, int64_t limsiz=-1, double asi=-1) | kyototycoon::UpdateLogger |
UpdateLogger() | kyototycoon::UpdateLogger | `[explicit]`
write(const char *mbuf, size_t msiz, uint64_t ts=0) | kyototycoon::UpdateLogger |
write_bulk(const std::vector< std::string > &mvec, uint64_t ts=0) | kyototycoon::UpdateLogger |
write_volatile(char *mbuf, size_t msiz, uint64_t ts=0) | kyototycoon::UpdateLogger |
~UpdateLogger() | kyototycoon::UpdateLogger |